/*
 * application-sandboxer: an application isolation mechanism
 * Copyright (C) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St 
 * - Fifth Floor, Boston, MA 02110-1301 USA
 *
 */


/*
 *  Sometimes sys/prctl.h doesn't have PR_GET_TIMERSLACK and PR_SET_TIMERSLACK
 */
#ifndef _PRCTL_FIXUP_H
#define _PRCTL_FIXUP_H

#include <config.h>

#ifndef PR_SET_TIMERSLACK
#warning "Defining PR_SET_TIMERSLACK AND PR_GETTIMERSLACK because prcthl.h doesn't"
#define PR_SET_TIMERSLACK 29
#define PR_GET_TIMERSLACK 30
#endif

#endif
