Summary: List directories through XML-RPC for testing sandboxer
Name: listdirs
Version: 0.0.1
Release: 3
License: LGPLv2
Group: System Environment/Base
URL: http://www.intel.com
Source0: list_dirs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: sudo

%description
list of dirs though XML-RPC on port 54321

%prep
%setup -q -n list_dirs-%{version}

%build
./configure --prefix=/opt/list_dirs
make "RPM_OPTS=$RPM_OPT_FLAGS"


%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT


%post
groupadd list_dirs 2>/dev/null || true
useradd -M -d /opt/list_dirs -s /bin/false -g list_dirs list_dirs 2> /dev/null || true
usermod -g list_dirs list_dirs 2> /dev/null || true
chown list_dirs:list_dirs /opt/list_dirs
chown list_dirs:list_dirs /opt/list_dirs/bin/list_dirs
cat <<EOF >>/usr/share/sandboxer/packages/list_dirs.package
[Sandbox]
SandboxName=list_dirs_sandbox
PackageName=list_dirs
Users=list_dirs
ExecPaths=/opt/list_dirs/bin/list_dirs
EOF
chmod o+r /usr/share/sandboxer/packages/list_dirs.package
echo "list_dirs  ALL=(ALL)       NOPASSWD: ALL" >> /etc/sudoers


%files
%defattr(600,-,-,755)
%dir /opt/list_dirs
/opt/list_dirs/*
%attr(700,-,-)/opt/list_dirs/bin/list_dirs

%changelog
* Sat Jan 31 2009  <michael.leibowitz@intel.com> - 0.0.1-1
- switch to chown in post

* Fri Jan 30 2009  <michael.leibowitz@intel.com> - 
- Initial build.

