/*
 * application-sandboxer: an application isolation mechanism
 * Copyright (C) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St 
 * - Fifth Floor, Boston, MA 02110-1301 USA
 *
 */


#include <stdlib.h>

int main(int argc, char **argv)
{
  long int ret;
  char *endptr;
  char *str;

  if (2 != argc) {
    exit(EXIT_FAILURE);
  }
  str= argv[1];
  ret= strtol(str, &endptr, 10);
  if (endptr == str) {
    exit(EXIT_FAILURE);
  }
  return (ret);
}

