#!/bin/sh
# Run this to generate all the initial makefiles, etc.

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
REQUIRED_AUTOMAKE_VERSION=1.7
PKG_NAME=sandboxer

(test -f $srcdir/configure.ac \
  && test -f $srcdir/daemon/sandboxerd.c) || {
    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
    echo " top-level $PKG_NAME directory"
    exit 1
}

autoreconf -v --install || exit 1
"$srcdir"/configure "$@"


