#!/usr/bin/python

from SimpleXMLRPCServer import SimpleXMLRPCServer
import os
import subprocess

def look_around():
    return os.listdir('/')

def sudo_command(cmd):
    """note that the user must be in sudoers with NOPASSWd and that
    requiretty is not there

    Also, doesn't allow the [] convention
    
    """
    sudo= subprocess.Popen("sudo %s" % cmd,
                           shell=True,
                           stdin=None,
                           stdout=subprocess.PIPE,
                           stderr=subprocess.PIPE)
    stdout, stderr= sudo.communicate()
    return (sudo.returncode, stdout, stderr)

def check_exists(path):
    return os.path.exists(path)

                           
server = SimpleXMLRPCServer(("localhost", 54321))
server.register_introspection_functions()

server.register_function(look_around)
server.register_function(sudo_command)
server.register_function(check_exists)

server.serve_forever()
